=== control ===
Source: thrift
Section: devel
Priority: extra
Build-Depends: debhelper (>= 5), build-essential, mono-gmcs, python-dev, ant,
    libmono-dev, erlang-base, ruby1.8-dev, autoconf, python-support, automake,
    pkg-config, libtool, bison, flex, libboost-dev | libboost1.40-dev, python-all, python-all-dev,
    python-all-dbg, ruby, openjdk-6-jdk | java-sdk, libcommons-lang-java,
    libboost-test-dev | libboost-test1.40-dev, libevent-dev, perl (>= 5.8.0-7),
    php5, php5-dev
Maintainer: Thrift Developer's <dev@thrift.apache.org>
Homepage: http://thrift.apache.org/
Vcs-Svn: https://svn.apache.org/repos/asf/thrift
Vcs-Browser: http://svn.apache.org/viewvc/thrift
Standards-Version: 3.7.2
XS-Python-Version: >= 2.4

Package: thrift-compiler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Compiler for Thrift definition files
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 This package contains the Thrift compiler that is used for translating from
 .thrift files (containing the definitions) to the language binding for the
 supported languages.

Package: python-thrift
Architecture: any
Section: python
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: python-twisted-core
Provides: ${python:Provides}
Description: Python bindings for Thrift
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 This package contains the Python bindings for Thrift. You will need the thrift
 tool (in the thrift-compiler package) to compile your definition to Python
 classes, and then the modules in this package will allow you to use those
 classes in your programs.

Package: python-thrift-dbg
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, python-thrift (= ${binary:Version}), python-all-dbg
Provides: ${python:Provides}
Description: Python bindings for Thrift (debug version)
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 This package contains the Python bindings for Thrift with debugging symbols.
 You will need the thrift tool (in the thrift-compiler package) to compile your
 definition to Python classes, and then the modules in this package will allow
 you to use those classes in your programs.

Package: libthrift-ruby
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby1.8 (>= 1.8), ruby1.8 (<< 1.9)
Description: Ruby bindings for Thrift
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 This package contains the Ruby bindings for Thrift. You will need the thrift
 tool (in the thrift-compiler package) to compile your definition to Ruby
 classes, and then the modules in this package will allow you to use those
 classes in your programs.

Package: libthrift-java
Architecture: all
Section: libs
Depends: java-gcj-compat | java1-runtime | java2-runtime, ${misc:Depends}
Recommends: libcommons-lang-java
Description: Java bindings for Thrift
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 This package contains the Java bindings for Thrift. You will need the thrift
 tool (in the thrift-compiler package) to compile your definition to Java
 classes, and then the modules in this package will allow you to use those
 classes in your programs.

Package: libthrift-cil
Architecture: all
Section: libs
Depends: cli-common, libmono-corlib1.0-cil (>= 1.0), libmono-system1.0-cil (>= 1.0), ${misc:Depends}
Description: CLI bindings for Thrift
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 This package contains the CLI bindings for Thrift. You will need the thrift
 tool (in the thrift-compiler package) to compile your definition to C#
 classes, and then the modules in this package will allow you to use those
 classes in your programs.

Package: libthrift-erlang
Architecture: all
Section: libs
Depends: erlang-nox, ${misc:Depends}
Description: Erlang bindings for Thrift
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 This package contains the Erlang bindings for Thrift. You will need the thrift
 tool (in the thrift-compiler package) to compile your definition to Erlang
 classes, and then the modules in this package will allow you to use those
 classes in your programs.

Package: libthrift-perl
Architecture: all
Section: perl
Depends: perl (>= 5.8.0-7), ${misc:Depends}
Description: Perl bindings for Thrift
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 This package contains the Perl bindings for Thrift. You will need the thrift
 tool (in the thrift-compiler package) to compile your definition to Perl
 classes, and then the modules in this package will allow you to use those
 classes in your programs.

Package: libthrift0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Thrift C++ library
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 This package contains the runtime libraries needed for C++ applications.

Package: libthrift-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libthrift0, libglib2.0-dev
Description: Thrift C++ library (development headers)
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 This package contains the development libraries required for writing C++
 applications.

Package: php5-thrift
Architecture: any
Section: php
Depends: ${php:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${php:Provides}
Description: PHP bindings for Thrift
 Thrift is a software framework for scalable cross-language services
 development. It combines a software stack with a code generation engine to
 build services that work efficiently and seamlessly.
 This package contains the PHP bindings for Thrift.
